gauge
区分
JVN番号
タイトル
JVN
深刻度
最終更新日
CVE番号
New
JVNDB-2005-000013

Squid における不正な NTLM メッセージによるサービス運用妨害 (DoS) の脆弱性

5.0
2007/04/01 00:00
CVE-2005-0097

JVNDB-2005-000013

Squid における不正な NTLM メッセージによるサービス運用妨害 (DoS) の脆弱性
概要
------------ 本脆弱性情報は、同時期に公開された複数の脆弱性について、まとめて解説したものです。タイトル以外の他の脆弱性情報の内容が含まれていますので予めご了承ください。 ------------ Squid 2.5 STABLE1 - STABLE7 の NTLM 認証ヘルパの一つ fakeauth_auth helper には、メモリリークおよびセグメンテーションフォルトが発生する問題が存在します。 ・メモリリークの問題 (CAN-2005-0096) fakeauth_auth.c においてメモリリークの問題が存在し、メモリが消費されてしまうことで高負荷の状態に陥る ・セグメンテーションフォルトの問題 (CAN-2005-0097) 意図的に作成された NTLM タイプ 3 のメッセージを受信した場合に、セグメンテーションフォルトが発生する これらの問題を利用するリモートの攻撃者は、NTLM 認証ヘルパとして fakeauth が指定されている場合、認証ルーチンをクラッシュさせ、結果として Squid プロキシサーバをサービス不能状態に陥らせる可能性があります。 尚、Squid 2.4 以前では NTLM 認証はサポートされていないため、これらの問題の影響を受けません。
想定される影響と対策
本脆弱性に伴う影響については、「概要」をご参照ください。
JVNDB-2005-000013は、ベンダより正式な対策が公開されています。ベンダ情報を参照して適切な対策を実施してください。
JVN情報 ※( )内はCVSS v3の値
深刻度5.0N/A
CVECVE-2005-0097
公表日2005/01/07 00:00
登録日2007/04/01 00:00
更新日2007/04/01 00:00
CVSS v2情報
全ての情報を閲覧するにはユーザー登録(無料)またはログインが必要です。